module.exports = (componentName, componentCamelName) => ({
  content: `// Generated with util/create-component.js
import ${componentCamelName}Class from './index'
import { OptionsType } from '../base'

export interface ${componentCamelName}Props {
  _this?: ${componentCamelName}Class;
  options?: ${componentCamelName}OptionsType
}

export interface ${componentCamelName}OptionsType extends OptionsType {
  type: "${componentCamelName}"
  // 组件参数
}

export interface ${componentCamelName}ChildrenType extends OptionsType {
  id: string // 子组件ID
  // 子组件参数
}
`,
  extension: '.types.ts'
})
