// Generated with util/create-component.js
import React from "react";
import { render } from "@testing-library/react";

import Card from "./card";
import { CardProps } from "./card.types";

describe("Test Component", () => {
  let props: CardProps;

  beforeEach(() => {
    props = {
      options: {
        type: "Card"
      }
    };
  });

  const renderComponent = () => render(<Card {...props} />);

  it("should render foo text correctly", () => {
    props.options.type = "Card";
    const { getByTestId } = renderComponent();

    const component = getByTestId("card");

    expect(component).toHaveTextContent("Card");
  });
});
